import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementDiagnosticConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly enabled: boolean;
    /**
     *
     */
    readonly identifier: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementDiagnosticTimeouts;
}
/**
 *
 */
export interface ApiManagementDiagnosticTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementDiagnostic extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementDiagnosticConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    /**
     *
     */
    get apiManagementNameInput(): string;
    private _enabled;
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    set enabled(value: boolean);
    /**
     *
     */
    get enabledInput(): boolean;
    /**
     *
     */
    get id(): string;
    private _identifier;
    /**
     *
     */
    get identifier(): string;
    /**
     *
     */
    set identifier(value: string);
    /**
     *
     */
    get identifierInput(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementDiagnosticTimeouts;
    /**
     *
     */
    set timeouts(value: ApiManagementDiagnosticTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): ApiManagementDiagnosticTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
