import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ApiManagementProductGroupConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly apiManagementName: string;
    /**
     *
     */
    readonly groupName: string;
    /**
     *
     */
    readonly productId: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: ApiManagementProductGroupTimeouts;
}
/**
 *
 */
export interface ApiManagementProductGroupTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ApiManagementProductGroup extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ApiManagementProductGroupConfig);
    private _apiManagementName;
    /**
     *
     */
    get apiManagementName(): string;
    /**
     *
     */
    set apiManagementName(value: string);
    /**
     *
     */
    get apiManagementNameInput(): string;
    private _groupName;
    /**
     *
     */
    get groupName(): string;
    /**
     *
     */
    set groupName(value: string);
    /**
     *
     */
    get groupNameInput(): string;
    /**
     *
     */
    get id(): string;
    private _productId;
    /**
     *
     */
    get productId(): string;
    /**
     *
     */
    set productId(value: string);
    /**
     *
     */
    get productIdInput(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ApiManagementProductGroupTimeouts;
    /**
     *
     */
    set timeouts(value: ApiManagementProductGroupTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): ApiManagementProductGroupTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
