import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface AppConfigurationConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly sku?: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * timeouts block.
     */
    readonly timeouts?: AppConfigurationTimeouts;
}
/**
 *
 */
export declare class AppConfigurationPrimaryReadKey extends ComplexComputedList {
    /**
     *
     */
    get connectionString(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get secret(): string;
}
/**
 *
 */
export declare class AppConfigurationPrimaryWriteKey extends ComplexComputedList {
    /**
     *
     */
    get connectionString(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get secret(): string;
}
/**
 *
 */
export declare class AppConfigurationSecondaryReadKey extends ComplexComputedList {
    /**
     *
     */
    get connectionString(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get secret(): string;
}
/**
 *
 */
export declare class AppConfigurationSecondaryWriteKey extends ComplexComputedList {
    /**
     *
     */
    get connectionString(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get secret(): string;
}
/**
 *
 */
export interface AppConfigurationTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class AppConfiguration extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: AppConfigurationConfig);
    /**
     *
     */
    get endpoint(): string;
    /**
     *
     */
    get id(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    get locationInput(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    /**
     *
     */
    primaryReadKey(index: string): AppConfigurationPrimaryReadKey;
    /**
     *
     */
    primaryWriteKey(index: string): AppConfigurationPrimaryWriteKey;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    /**
     *
     */
    secondaryReadKey(index: string): AppConfigurationSecondaryReadKey;
    /**
     *
     */
    secondaryWriteKey(index: string): AppConfigurationSecondaryWriteKey;
    private _sku?;
    /**
     *
     */
    get sku(): string;
    /**
     *
     */
    set sku(value: string);
    /**
     *
     */
    resetSku(): void;
    /**
     *
     */
    get skuInput(): string | undefined;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     *
     */
    resetTags(): void;
    /**
     *
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): AppConfigurationTimeouts;
    /**
     *
     */
    set timeouts(value: AppConfigurationTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): AppConfigurationTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
