import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface BotChannelMsTeamsConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly botName: string;
    /**
     *
     */
    readonly callingWebHook?: string;
    /**
     *
     */
    readonly enableCalling?: boolean;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: BotChannelMsTeamsTimeouts;
}
/**
 *
 */
export interface BotChannelMsTeamsTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class BotChannelMsTeams extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: BotChannelMsTeamsConfig);
    private _botName;
    /**
     *
     */
    get botName(): string;
    /**
     *
     */
    set botName(value: string);
    /**
     *
     */
    get botNameInput(): string;
    private _callingWebHook?;
    /**
     *
     */
    get callingWebHook(): string;
    /**
     *
     */
    set callingWebHook(value: string);
    /**
     *
     */
    resetCallingWebHook(): void;
    /**
     *
     */
    get callingWebHookInput(): string | undefined;
    private _enableCalling?;
    /**
     *
     */
    get enableCalling(): boolean;
    /**
     *
     */
    set enableCalling(value: boolean);
    /**
     *
     */
    resetEnableCalling(): void;
    /**
     *
     */
    get enableCallingInput(): boolean | undefined;
    /**
     *
     */
    get id(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    get locationInput(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): BotChannelMsTeamsTimeouts;
    /**
     *
     */
    set timeouts(value: BotChannelMsTeamsTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): BotChannelMsTeamsTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
