import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface CdnEndpointConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly contentTypesToCompress?: string[];
    /**
     *
     */
    readonly isCompressionEnabled?: boolean;
    /**
     *
     */
    readonly isHttpAllowed?: boolean;
    /**
     *
     */
    readonly isHttpsAllowed?: boolean;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly optimizationType?: string;
    /**
     *
     */
    readonly originHostHeader?: string;
    /**
     *
     */
    readonly originPath?: string;
    /**
     *
     */
    readonly probePath?: string;
    /**
     *
     */
    readonly profileName: string;
    /**
     *
     */
    readonly querystringCachingBehaviour?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * geo_filter block.
     */
    readonly geoFilter?: CdnEndpointGeoFilter[];
    /**
     * origin block.
     */
    readonly origin: CdnEndpointOrigin[];
    /**
     * timeouts block.
     */
    readonly timeouts?: CdnEndpointTimeouts;
}
/**
 *
 */
export interface CdnEndpointGeoFilter {
    /**
     *
     */
    readonly action: string;
    /**
     *
     */
    readonly countryCodes: string[];
    /**
     *
     */
    readonly relativePath: string;
}
/**
 *
 */
export interface CdnEndpointOrigin {
    /**
     *
     */
    readonly hostName: string;
    /**
     *
     */
    readonly httpPort?: number;
    /**
     *
     */
    readonly httpsPort?: number;
    /**
     *
     */
    readonly name: string;
}
/**
 *
 */
export interface CdnEndpointTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class CdnEndpoint extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: CdnEndpointConfig);
    private _contentTypesToCompress?;
    /**
     *
     */
    get contentTypesToCompress(): string[];
    /**
     *
     */
    set contentTypesToCompress(value: string[]);
    /**
     *
     */
    resetContentTypesToCompress(): void;
    /**
     *
     */
    get contentTypesToCompressInput(): string[] | undefined;
    /**
     *
     */
    get hostName(): string;
    /**
     *
     */
    get id(): string;
    private _isCompressionEnabled?;
    /**
     *
     */
    get isCompressionEnabled(): boolean;
    /**
     *
     */
    set isCompressionEnabled(value: boolean);
    /**
     *
     */
    resetIsCompressionEnabled(): void;
    /**
     *
     */
    get isCompressionEnabledInput(): boolean | undefined;
    private _isHttpAllowed?;
    /**
     *
     */
    get isHttpAllowed(): boolean;
    /**
     *
     */
    set isHttpAllowed(value: boolean);
    /**
     *
     */
    resetIsHttpAllowed(): void;
    /**
     *
     */
    get isHttpAllowedInput(): boolean | undefined;
    private _isHttpsAllowed?;
    /**
     *
     */
    get isHttpsAllowed(): boolean;
    /**
     *
     */
    set isHttpsAllowed(value: boolean);
    /**
     *
     */
    resetIsHttpsAllowed(): void;
    /**
     *
     */
    get isHttpsAllowedInput(): boolean | undefined;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    get locationInput(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _optimizationType?;
    /**
     *
     */
    get optimizationType(): string;
    /**
     *
     */
    set optimizationType(value: string);
    /**
     *
     */
    resetOptimizationType(): void;
    /**
     *
     */
    get optimizationTypeInput(): string | undefined;
    private _originHostHeader?;
    /**
     *
     */
    get originHostHeader(): string;
    /**
     *
     */
    set originHostHeader(value: string);
    /**
     *
     */
    resetOriginHostHeader(): void;
    /**
     *
     */
    get originHostHeaderInput(): string | undefined;
    private _originPath?;
    /**
     *
     */
    get originPath(): string;
    /**
     *
     */
    set originPath(value: string);
    /**
     *
     */
    resetOriginPath(): void;
    /**
     *
     */
    get originPathInput(): string | undefined;
    private _probePath?;
    /**
     *
     */
    get probePath(): string;
    /**
     *
     */
    set probePath(value: string);
    /**
     *
     */
    resetProbePath(): void;
    /**
     *
     */
    get probePathInput(): string | undefined;
    private _profileName;
    /**
     *
     */
    get profileName(): string;
    /**
     *
     */
    set profileName(value: string);
    /**
     *
     */
    get profileNameInput(): string;
    private _querystringCachingBehaviour?;
    /**
     *
     */
    get querystringCachingBehaviour(): string;
    /**
     *
     */
    set querystringCachingBehaviour(value: string);
    /**
     *
     */
    resetQuerystringCachingBehaviour(): void;
    /**
     *
     */
    get querystringCachingBehaviourInput(): string | undefined;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     *
     */
    resetTags(): void;
    /**
     *
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _geoFilter?;
    /**
     *
     */
    get geoFilter(): CdnEndpointGeoFilter[];
    /**
     *
     */
    set geoFilter(value: CdnEndpointGeoFilter[]);
    /**
     *
     */
    resetGeoFilter(): void;
    /**
     *
     */
    get geoFilterInput(): CdnEndpointGeoFilter[] | undefined;
    private _origin;
    /**
     *
     */
    get origin(): CdnEndpointOrigin[];
    /**
     *
     */
    set origin(value: CdnEndpointOrigin[]);
    /**
     *
     */
    get originInput(): CdnEndpointOrigin[];
    private _timeouts?;
    /**
     *
     */
    get timeouts(): CdnEndpointTimeouts;
    /**
     *
     */
    set timeouts(value: CdnEndpointTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): CdnEndpointTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
