import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface CosmosdbMongoCollectionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly databaseName: string;
    /**
     *
     */
    readonly defaultTtlSeconds?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly shardKey?: string;
    /**
     *
     */
    readonly throughput?: number;
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbMongoCollectionTimeouts;
}
/**
 *
 */
export interface CosmosdbMongoCollectionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class CosmosdbMongoCollection extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: CosmosdbMongoCollectionConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    /**
     *
     */
    get accountNameInput(): string;
    private _databaseName;
    /**
     *
     */
    get databaseName(): string;
    /**
     *
     */
    set databaseName(value: string);
    /**
     *
     */
    get databaseNameInput(): string;
    private _defaultTtlSeconds?;
    /**
     *
     */
    get defaultTtlSeconds(): number;
    /**
     *
     */
    set defaultTtlSeconds(value: number);
    /**
     *
     */
    resetDefaultTtlSeconds(): void;
    /**
     *
     */
    get defaultTtlSecondsInput(): number | undefined;
    /**
     *
     */
    get id(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    private _shardKey?;
    /**
     *
     */
    get shardKey(): string;
    /**
     *
     */
    set shardKey(value: string);
    /**
     *
     */
    resetShardKey(): void;
    /**
     *
     */
    get shardKeyInput(): string | undefined;
    private _throughput?;
    /**
     *
     */
    get throughput(): number;
    /**
     *
     */
    set throughput(value: number);
    /**
     *
     */
    resetThroughput(): void;
    /**
     *
     */
    get throughputInput(): number | undefined;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): CosmosdbMongoCollectionTimeouts;
    /**
     *
     */
    set timeouts(value: CosmosdbMongoCollectionTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): CosmosdbMongoCollectionTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
