import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface CosmosdbSqlContainerConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly databaseName: string;
    /**
     *
     */
    readonly defaultTtl?: number;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly partitionKeyPath?: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly throughput?: number;
    /**
     * timeouts block.
     */
    readonly timeouts?: CosmosdbSqlContainerTimeouts;
    /**
     * unique_key block.
     */
    readonly uniqueKey?: CosmosdbSqlContainerUniqueKey[];
}
/**
 *
 */
export interface CosmosdbSqlContainerTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export interface CosmosdbSqlContainerUniqueKey {
    /**
     *
     */
    readonly paths: string[];
}
/**
 *
 */
export declare class CosmosdbSqlContainer extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: CosmosdbSqlContainerConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    /**
     *
     */
    get accountNameInput(): string;
    private _databaseName;
    /**
     *
     */
    get databaseName(): string;
    /**
     *
     */
    set databaseName(value: string);
    /**
     *
     */
    get databaseNameInput(): string;
    private _defaultTtl?;
    /**
     *
     */
    get defaultTtl(): number;
    /**
     *
     */
    set defaultTtl(value: number);
    /**
     *
     */
    resetDefaultTtl(): void;
    /**
     *
     */
    get defaultTtlInput(): number | undefined;
    /**
     *
     */
    get id(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _partitionKeyPath?;
    /**
     *
     */
    get partitionKeyPath(): string;
    /**
     *
     */
    set partitionKeyPath(value: string);
    /**
     *
     */
    resetPartitionKeyPath(): void;
    /**
     *
     */
    get partitionKeyPathInput(): string | undefined;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    private _throughput?;
    /**
     *
     */
    get throughput(): number;
    /**
     *
     */
    set throughput(value: number);
    /**
     *
     */
    resetThroughput(): void;
    /**
     *
     */
    get throughputInput(): number | undefined;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): CosmosdbSqlContainerTimeouts;
    /**
     *
     */
    set timeouts(value: CosmosdbSqlContainerTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): CosmosdbSqlContainerTimeouts | undefined;
    private _uniqueKey?;
    /**
     *
     */
    get uniqueKey(): CosmosdbSqlContainerUniqueKey[];
    /**
     *
     */
    set uniqueKey(value: CosmosdbSqlContainerUniqueKey[]);
    /**
     *
     */
    resetUniqueKey(): void;
    /**
     *
     */
    get uniqueKeyInput(): CosmosdbSqlContainerUniqueKey[] | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
