import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermFirewallConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermFirewallTimeouts;
}
/**
 *
 */
export declare class DataAzurermFirewallIpConfiguration extends ComplexComputedList {
    /**
     *
     */
    get internalPublicIpAddressId(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get privateIpAddress(): string;
    /**
     *
     */
    get publicIpAddressId(): string;
    /**
     *
     */
    get subnetId(): string;
}
/**
 *
 */
export interface DataAzurermFirewallTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermFirewall extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermFirewallConfig);
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    ipConfiguration(index: string): DataAzurermFirewallIpConfiguration;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    /**
     *
     */
    tags(key: string): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermFirewallTimeouts;
    /**
     *
     */
    set timeouts(value: DataAzurermFirewallTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): DataAzurermFirewallTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
