import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermKeyVaultAccessPolicyAConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermKeyVaultAccessPolicyTimeouts;
}
/**
 *
 */
export interface DataAzurermKeyVaultAccessPolicyTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermKeyVaultAccessPolicyA extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermKeyVaultAccessPolicyAConfig);
    /**
     *
     */
    get certificatePermissions(): string[];
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get keyPermissions(): string[];
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    /**
     *
     */
    get secretPermissions(): string[];
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermKeyVaultAccessPolicyTimeouts;
    /**
     *
     */
    set timeouts(value: DataAzurermKeyVaultAccessPolicyTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): DataAzurermKeyVaultAccessPolicyTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
