import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermNetappVolumeConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly accountName: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly poolName: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermNetappVolumeTimeouts;
}
/**
 *
 */
export interface DataAzurermNetappVolumeTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermNetappVolume extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermNetappVolumeConfig);
    private _accountName;
    /**
     *
     */
    get accountName(): string;
    /**
     *
     */
    set accountName(value: string);
    /**
     *
     */
    get accountNameInput(): string;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _poolName;
    /**
     *
     */
    get poolName(): string;
    /**
     *
     */
    set poolName(value: string);
    /**
     *
     */
    get poolNameInput(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    /**
     *
     */
    get serviceLevel(): string;
    /**
     *
     */
    get storageQuotaInGb(): number;
    /**
     *
     */
    get subnetId(): string;
    /**
     *
     */
    get volumePath(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermNetappVolumeTimeouts;
    /**
     *
     */
    set timeouts(value: DataAzurermNetappVolumeTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): DataAzurermNetappVolumeTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
