import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermNotificationHubNamespaceConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermNotificationHubNamespaceTimeouts;
}
/**
 *
 */
export declare class DataAzurermNotificationHubNamespaceSku extends ComplexComputedList {
    /**
     *
     */
    get name(): string;
}
/**
 *
 */
export interface DataAzurermNotificationHubNamespaceTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermNotificationHubNamespace extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermNotificationHubNamespaceConfig);
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    get location(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    /**
     *
     */
    get namespaceType(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    /**
     *
     */
    get servicebusEndpoint(): string;
    /**
     *
     */
    sku(index: string): DataAzurermNotificationHubNamespaceSku;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermNotificationHubNamespaceTimeouts;
    /**
     *
     */
    set timeouts(value: DataAzurermNotificationHubNamespaceTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): DataAzurermNotificationHubNamespaceTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
