import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface DataAzurermPolicyDefinitionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly displayName: string;
    /**
     *
     */
    readonly managementGroupId?: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermPolicyDefinitionTimeouts;
}
/**
 *
 */
export interface DataAzurermPolicyDefinitionTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermPolicyDefinition extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermPolicyDefinitionConfig);
    /**
     *
     */
    get description(): string;
    private _displayName;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    set displayName(value: string);
    /**
     *
     */
    get displayNameInput(): string;
    /**
     *
     */
    get id(): string;
    private _managementGroupId?;
    /**
     *
     */
    get managementGroupId(): string;
    /**
     *
     */
    set managementGroupId(value: string);
    /**
     *
     */
    resetManagementGroupId(): void;
    /**
     *
     */
    get managementGroupIdInput(): string | undefined;
    /**
     *
     */
    get metadata(): string;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    get parameters(): string;
    /**
     *
     */
    get policyRule(): string;
    /**
     *
     */
    get policyType(): string;
    /**
     *
     */
    get type(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermPolicyDefinitionTimeouts;
    /**
     *
     */
    set timeouts(value: DataAzurermPolicyDefinitionTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): DataAzurermPolicyDefinitionTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
