import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
/**
 *
 */
export interface DataAzurermStorageManagementPolicyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly storageAccountId: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: DataAzurermStorageManagementPolicyTimeouts;
}
/**
 *
 */
export declare class DataAzurermStorageManagementPolicyRuleActionsBaseBlob extends ComplexComputedList {
    /**
     *
     */
    get deleteAfterDaysSinceModificationGreaterThan(): number;
    /**
     *
     */
    get tierToArchiveAfterDaysSinceModificationGreaterThan(): number;
    /**
     *
     */
    get tierToCoolAfterDaysSinceModificationGreaterThan(): number;
}
/**
 *
 */
export declare class DataAzurermStorageManagementPolicyRuleActionsSnapshot extends ComplexComputedList {
    /**
     *
     */
    get deleteAfterDaysSinceCreationGreaterThan(): number;
}
/**
 *
 */
export declare class DataAzurermStorageManagementPolicyRuleActions extends ComplexComputedList {
    /**
     *
     */
    get baseBlob(): any;
    /**
     *
     */
    get snapshot(): any;
}
/**
 *
 */
export declare class DataAzurermStorageManagementPolicyRuleFilters extends ComplexComputedList {
    /**
     *
     */
    get blobTypes(): string[];
    /**
     *
     */
    get prefixMatch(): string[];
}
/**
 *
 */
export declare class DataAzurermStorageManagementPolicyRule extends ComplexComputedList {
    /**
     *
     */
    get actions(): any;
    /**
     *
     */
    get enabled(): boolean;
    /**
     *
     */
    get filters(): any;
    /**
     *
     */
    get name(): string;
}
/**
 *
 */
export interface DataAzurermStorageManagementPolicyTimeouts {
    /**
     *
     */
    readonly read?: string;
}
/**
 *
 */
export declare class DataAzurermStorageManagementPolicy extends TerraformDataSource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: DataAzurermStorageManagementPolicyConfig);
    /**
     *
     */
    get id(): string;
    /**
     *
     */
    rule(index: string): DataAzurermStorageManagementPolicyRule;
    private _storageAccountId;
    /**
     *
     */
    get storageAccountId(): string;
    /**
     *
     */
    set storageAccountId(value: string);
    /**
     *
     */
    get storageAccountIdInput(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): DataAzurermStorageManagementPolicyTimeouts;
    /**
     *
     */
    set timeouts(value: DataAzurermStorageManagementPolicyTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): DataAzurermStorageManagementPolicyTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
