import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface ExpressRouteCircuitPeeringConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly expressRouteCircuitName: string;
    /**
     *
     */
    readonly peerAsn?: number;
    /**
     *
     */
    readonly peeringType: string;
    /**
     *
     */
    readonly primaryPeerAddressPrefix: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly secondaryPeerAddressPrefix: string;
    /**
     *
     */
    readonly sharedKey?: string;
    /**
     *
     */
    readonly vlanId: number;
    /**
     * microsoft_peering_config block.
     */
    readonly microsoftPeeringConfig?: ExpressRouteCircuitPeeringMicrosoftPeeringConfig[];
    /**
     * timeouts block.
     */
    readonly timeouts?: ExpressRouteCircuitPeeringTimeouts;
}
/**
 *
 */
export interface ExpressRouteCircuitPeeringMicrosoftPeeringConfig {
    /**
     *
     */
    readonly advertisedPublicPrefixes: string[];
}
/**
 *
 */
export interface ExpressRouteCircuitPeeringTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class ExpressRouteCircuitPeering extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: ExpressRouteCircuitPeeringConfig);
    /**
     *
     */
    get azureAsn(): number;
    private _expressRouteCircuitName;
    /**
     *
     */
    get expressRouteCircuitName(): string;
    /**
     *
     */
    set expressRouteCircuitName(value: string);
    /**
     *
     */
    get expressRouteCircuitNameInput(): string;
    /**
     *
     */
    get id(): string;
    private _peerAsn?;
    /**
     *
     */
    get peerAsn(): number;
    /**
     *
     */
    set peerAsn(value: number);
    /**
     *
     */
    resetPeerAsn(): void;
    /**
     *
     */
    get peerAsnInput(): number | undefined;
    private _peeringType;
    /**
     *
     */
    get peeringType(): string;
    /**
     *
     */
    set peeringType(value: string);
    /**
     *
     */
    get peeringTypeInput(): string;
    /**
     *
     */
    get primaryAzurePort(): string;
    private _primaryPeerAddressPrefix;
    /**
     *
     */
    get primaryPeerAddressPrefix(): string;
    /**
     *
     */
    set primaryPeerAddressPrefix(value: string);
    /**
     *
     */
    get primaryPeerAddressPrefixInput(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    /**
     *
     */
    get secondaryAzurePort(): string;
    private _secondaryPeerAddressPrefix;
    /**
     *
     */
    get secondaryPeerAddressPrefix(): string;
    /**
     *
     */
    set secondaryPeerAddressPrefix(value: string);
    /**
     *
     */
    get secondaryPeerAddressPrefixInput(): string;
    private _sharedKey?;
    /**
     *
     */
    get sharedKey(): string;
    /**
     *
     */
    set sharedKey(value: string);
    /**
     *
     */
    resetSharedKey(): void;
    /**
     *
     */
    get sharedKeyInput(): string | undefined;
    private _vlanId;
    /**
     *
     */
    get vlanId(): number;
    /**
     *
     */
    set vlanId(value: number);
    /**
     *
     */
    get vlanIdInput(): number;
    private _microsoftPeeringConfig?;
    /**
     *
     */
    get microsoftPeeringConfig(): ExpressRouteCircuitPeeringMicrosoftPeeringConfig[];
    /**
     *
     */
    set microsoftPeeringConfig(value: ExpressRouteCircuitPeeringMicrosoftPeeringConfig[]);
    /**
     *
     */
    resetMicrosoftPeeringConfig(): void;
    /**
     *
     */
    get microsoftPeeringConfigInput(): ExpressRouteCircuitPeeringMicrosoftPeeringConfig[] | undefined;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): ExpressRouteCircuitPeeringTimeouts;
    /**
     *
     */
    set timeouts(value: ExpressRouteCircuitPeeringTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): ExpressRouteCircuitPeeringTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
