import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface FirewallConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly zones?: string[];
    /**
     * ip_configuration block.
     */
    readonly ipConfiguration: FirewallIpConfiguration[];
    /**
     * timeouts block.
     */
    readonly timeouts?: FirewallTimeouts;
}
/**
 *
 */
export interface FirewallIpConfiguration {
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly publicIpAddressId: string;
    /**
     *
     */
    readonly subnetId?: string;
}
/**
 *
 */
export interface FirewallTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class Firewall extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: FirewallConfig);
    /**
     *
     */
    get id(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    get locationInput(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     *
     */
    resetTags(): void;
    /**
     *
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _zones?;
    /**
     *
     */
    get zones(): string[];
    /**
     *
     */
    set zones(value: string[]);
    /**
     *
     */
    resetZones(): void;
    /**
     *
     */
    get zonesInput(): string[] | undefined;
    private _ipConfiguration;
    /**
     *
     */
    get ipConfiguration(): FirewallIpConfiguration[];
    /**
     *
     */
    set ipConfiguration(value: FirewallIpConfiguration[]);
    /**
     *
     */
    get ipConfigurationInput(): FirewallIpConfiguration[];
    private _timeouts?;
    /**
     *
     */
    get timeouts(): FirewallTimeouts;
    /**
     *
     */
    set timeouts(value: FirewallTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): FirewallTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
