import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface KustoClusterConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * sku block.
     */
    readonly sku: KustoClusterSku[];
    /**
     * timeouts block.
     */
    readonly timeouts?: KustoClusterTimeouts;
}
/**
 *
 */
export interface KustoClusterSku {
    /**
     *
     */
    readonly capacity: number;
    /**
     *
     */
    readonly name: string;
}
/**
 *
 */
export interface KustoClusterTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class KustoCluster extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: KustoClusterConfig);
    /**
     *
     */
    get dataIngestionUri(): string;
    /**
     *
     */
    get id(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    get locationInput(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     *
     */
    resetTags(): void;
    /**
     *
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    /**
     *
     */
    get uri(): string;
    private _sku;
    /**
     *
     */
    get sku(): KustoClusterSku[];
    /**
     *
     */
    set sku(value: KustoClusterSku[]);
    /**
     *
     */
    get skuInput(): KustoClusterSku[];
    private _timeouts?;
    /**
     *
     */
    get timeouts(): KustoClusterTimeouts;
    /**
     *
     */
    set timeouts(value: KustoClusterTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): KustoClusterTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
