import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PolicySetDefinitionConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly description?: string;
    /**
     *
     */
    readonly displayName: string;
    /**
     *
     */
    readonly managementGroupId?: string;
    /**
     *
     */
    readonly metadata?: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly parameters?: string;
    /**
     *
     */
    readonly policyDefinitions?: string;
    /**
     *
     */
    readonly policyType: string;
    /**
     * timeouts block.
     */
    readonly timeouts?: PolicySetDefinitionTimeouts;
}
/**
 *
 */
export interface PolicySetDefinitionTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class PolicySetDefinition extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PolicySetDefinitionConfig);
    private _description?;
    /**
     *
     */
    get description(): string;
    /**
     *
     */
    set description(value: string);
    /**
     *
     */
    resetDescription(): void;
    /**
     *
     */
    get descriptionInput(): string | undefined;
    private _displayName;
    /**
     *
     */
    get displayName(): string;
    /**
     *
     */
    set displayName(value: string);
    /**
     *
     */
    get displayNameInput(): string;
    /**
     *
     */
    get id(): string;
    private _managementGroupId?;
    /**
     *
     */
    get managementGroupId(): string;
    /**
     *
     */
    set managementGroupId(value: string);
    /**
     *
     */
    resetManagementGroupId(): void;
    /**
     *
     */
    get managementGroupIdInput(): string | undefined;
    private _metadata?;
    /**
     *
     */
    get metadata(): string;
    /**
     *
     */
    set metadata(value: string);
    /**
     *
     */
    resetMetadata(): void;
    /**
     *
     */
    get metadataInput(): string | undefined;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _parameters?;
    /**
     *
     */
    get parameters(): string;
    /**
     *
     */
    set parameters(value: string);
    /**
     *
     */
    resetParameters(): void;
    /**
     *
     */
    get parametersInput(): string | undefined;
    private _policyDefinitions?;
    /**
     *
     */
    get policyDefinitions(): string;
    /**
     *
     */
    set policyDefinitions(value: string);
    /**
     *
     */
    resetPolicyDefinitions(): void;
    /**
     *
     */
    get policyDefinitionsInput(): string | undefined;
    private _policyType;
    /**
     *
     */
    get policyType(): string;
    /**
     *
     */
    set policyType(value: string);
    /**
     *
     */
    get policyTypeInput(): string;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): PolicySetDefinitionTimeouts;
    /**
     *
     */
    set timeouts(value: PolicySetDefinitionTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): PolicySetDefinitionTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
