import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PostgresqlServerConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly administratorLogin: string;
    /**
     *
     */
    readonly administratorLoginPassword: string;
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly skuName: string;
    /**
     *
     */
    readonly sslEnforcement: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     *
     */
    readonly version: string;
    /**
     * storage_profile block.
     */
    readonly storageProfile: PostgresqlServerStorageProfile[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PostgresqlServerTimeouts;
}
/**
 *
 */
export interface PostgresqlServerStorageProfile {
    /**
     *
     */
    readonly autoGrow?: string;
    /**
     *
     */
    readonly backupRetentionDays?: number;
    /**
     *
     */
    readonly geoRedundantBackup?: string;
    /**
     *
     */
    readonly storageMb: number;
}
/**
 *
 */
export interface PostgresqlServerTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class PostgresqlServer extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PostgresqlServerConfig);
    private _administratorLogin;
    /**
     *
     */
    get administratorLogin(): string;
    /**
     *
     */
    set administratorLogin(value: string);
    /**
     *
     */
    get administratorLoginInput(): string;
    private _administratorLoginPassword;
    /**
     *
     */
    get administratorLoginPassword(): string;
    /**
     *
     */
    set administratorLoginPassword(value: string);
    /**
     *
     */
    get administratorLoginPasswordInput(): string;
    /**
     *
     */
    get fqdn(): string;
    /**
     *
     */
    get id(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    get locationInput(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    private _skuName;
    /**
     *
     */
    get skuName(): string;
    /**
     *
     */
    set skuName(value: string);
    /**
     *
     */
    get skuNameInput(): string;
    private _sslEnforcement;
    /**
     *
     */
    get sslEnforcement(): string;
    /**
     *
     */
    set sslEnforcement(value: string);
    /**
     *
     */
    get sslEnforcementInput(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     *
     */
    resetTags(): void;
    /**
     *
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _version;
    /**
     *
     */
    get version(): string;
    /**
     *
     */
    set version(value: string);
    /**
     *
     */
    get versionInput(): string;
    private _storageProfile;
    /**
     *
     */
    get storageProfile(): PostgresqlServerStorageProfile[];
    /**
     *
     */
    set storageProfile(value: PostgresqlServerStorageProfile[]);
    /**
     *
     */
    get storageProfileInput(): PostgresqlServerStorageProfile[];
    private _timeouts?;
    /**
     *
     */
    get timeouts(): PostgresqlServerTimeouts;
    /**
     *
     */
    set timeouts(value: PostgresqlServerTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): PostgresqlServerTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
