import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface PrivateEndpointConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly subnetId: string;
    /**
     * private_service_connection block.
     */
    readonly privateServiceConnection: PrivateEndpointPrivateServiceConnection[];
    /**
     * timeouts block.
     */
    readonly timeouts?: PrivateEndpointTimeouts;
}
/**
 *
 */
export interface PrivateEndpointPrivateServiceConnection {
    /**
     *
     */
    readonly isManualConnection: boolean;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly privateConnectionResourceId: string;
    /**
     *
     */
    readonly requestMessage?: string;
    /**
     *
     */
    readonly subresourceNames?: string[];
}
/**
 *
 */
export interface PrivateEndpointTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class PrivateEndpoint extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: PrivateEndpointConfig);
    /**
     *
     */
    get id(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    get locationInput(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    private _subnetId;
    /**
     *
     */
    get subnetId(): string;
    /**
     *
     */
    set subnetId(value: string);
    /**
     *
     */
    get subnetIdInput(): string;
    private _privateServiceConnection;
    /**
     *
     */
    get privateServiceConnection(): PrivateEndpointPrivateServiceConnection[];
    /**
     *
     */
    set privateServiceConnection(value: PrivateEndpointPrivateServiceConnection[]);
    /**
     *
     */
    get privateServiceConnectionInput(): PrivateEndpointPrivateServiceConnection[];
    private _timeouts?;
    /**
     *
     */
    get timeouts(): PrivateEndpointTimeouts;
    /**
     *
     */
    set timeouts(value: PrivateEndpointTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): PrivateEndpointTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
