import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
/**
 *
 */
export interface WebApplicationFirewallPolicyConfig extends TerraformMetaArguments {
    /**
     *
     */
    readonly location: string;
    /**
     *
     */
    readonly name: string;
    /**
     *
     */
    readonly resourceGroupName: string;
    /**
     *
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * custom_rules block.
     */
    readonly customRules?: WebApplicationFirewallPolicyCustomRules[];
    /**
     * policy_settings block.
     */
    readonly policySettings?: WebApplicationFirewallPolicyPolicySettings[];
    /**
     * timeouts block.
     */
    readonly timeouts?: WebApplicationFirewallPolicyTimeouts;
}
/**
 *
 */
export interface WebApplicationFirewallPolicyCustomRulesMatchConditionsMatchVariables {
    /**
     *
     */
    readonly selector?: string;
    /**
     *
     */
    readonly variableName: string;
}
/**
 *
 */
export interface WebApplicationFirewallPolicyCustomRulesMatchConditions {
    /**
     *
     */
    readonly matchValues: string[];
    /**
     *
     */
    readonly negationCondition?: boolean;
    /**
     *
     */
    readonly operator: string;
    /**
     * match_variables block.
     */
    readonly matchVariables: WebApplicationFirewallPolicyCustomRulesMatchConditionsMatchVariables[];
}
/**
 *
 */
export interface WebApplicationFirewallPolicyCustomRules {
    /**
     *
     */
    readonly action: string;
    /**
     *
     */
    readonly name?: string;
    /**
     *
     */
    readonly priority: number;
    /**
     *
     */
    readonly ruleType: string;
    /**
     * match_conditions block.
     */
    readonly matchConditions: WebApplicationFirewallPolicyCustomRulesMatchConditions[];
}
/**
 *
 */
export interface WebApplicationFirewallPolicyPolicySettings {
    /**
     *
     */
    readonly enabled?: boolean;
    /**
     *
     */
    readonly mode?: string;
}
/**
 *
 */
export interface WebApplicationFirewallPolicyTimeouts {
    /**
     *
     */
    readonly create?: string;
    /**
     *
     */
    readonly delete?: string;
    /**
     *
     */
    readonly read?: string;
    /**
     *
     */
    readonly update?: string;
}
/**
 *
 */
export declare class WebApplicationFirewallPolicy extends TerraformResource {
    /**
     *
     */
    constructor(scope: Construct, id: string, config: WebApplicationFirewallPolicyConfig);
    /**
     *
     */
    get id(): string;
    private _location;
    /**
     *
     */
    get location(): string;
    /**
     *
     */
    set location(value: string);
    /**
     *
     */
    get locationInput(): string;
    private _name;
    /**
     *
     */
    get name(): string;
    /**
     *
     */
    set name(value: string);
    /**
     *
     */
    get nameInput(): string;
    private _resourceGroupName;
    /**
     *
     */
    get resourceGroupName(): string;
    /**
     *
     */
    set resourceGroupName(value: string);
    /**
     *
     */
    get resourceGroupNameInput(): string;
    private _tags?;
    /**
     *
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     *
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     *
     */
    resetTags(): void;
    /**
     *
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _customRules?;
    /**
     *
     */
    get customRules(): WebApplicationFirewallPolicyCustomRules[];
    /**
     *
     */
    set customRules(value: WebApplicationFirewallPolicyCustomRules[]);
    /**
     *
     */
    resetCustomRules(): void;
    /**
     *
     */
    get customRulesInput(): WebApplicationFirewallPolicyCustomRules[] | undefined;
    private _policySettings?;
    /**
     *
     */
    get policySettings(): WebApplicationFirewallPolicyPolicySettings[];
    /**
     *
     */
    set policySettings(value: WebApplicationFirewallPolicyPolicySettings[]);
    /**
     *
     */
    resetPolicySettings(): void;
    /**
     *
     */
    get policySettingsInput(): WebApplicationFirewallPolicyPolicySettings[] | undefined;
    private _timeouts?;
    /**
     *
     */
    get timeouts(): WebApplicationFirewallPolicyTimeouts;
    /**
     *
     */
    set timeouts(value: WebApplicationFirewallPolicyTimeouts);
    /**
     *
     */
    resetTimeouts(): void;
    /**
     *
     */
    get timeoutsInput(): WebApplicationFirewallPolicyTimeouts | undefined;
    /**
     *
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
